# -*- coding: utf-8 -*-

"""Test Logos

Utilisation :
    créer les variables d'environnement: (indiquer les valeurs
    pour le serveur ScoDoc que vous voulez interroger)

    export SCODOC_URL="https://scodoc.xxx.net/"
    export SCODOC_USER="xxx"
    export SCODOC_PASSWD="xxx"
    export CHECK_CERTIFICATE=0 # ou 1 si serveur de production avec certif SSL valide

    (on peut aussi placer ces valeurs dans un fichier .env du répertoire tests/api).

    Lancer :
        pytest tests/api/test_api_jury.py
"""

import requests

from tests.api.setup_test_api import API_URL, CHECK_CERTIFICATE, api_headers


def test_jury_preparation(api_headers):
    """
    Test 'jury_preparation'

    Route :
        - /jury/formsemestre/<int:formsemestre_id>/preparation_jury
    """
    r = requests.get(
        API_URL
        + "/ScoDoc/api/jury/formsemestre/<int:formsemestre_id>/preparation_jury",
        headers=api_headers,
        verify=CHECK_CERTIFICATE,
    )
    assert r.status_code == 200


def test_jury_decisions(api_headers):
    """
    Test 'jury_decisions'

    Route :
        - /jury/formsemestre/<int:formsemestre_id>/decisions_jury
    """
    r = requests.get(
        API_URL + "/jury/formsemestre/<int:formsemestre_id>/decisions_jury",
        headers=api_headers,
        verify=CHECK_CERTIFICATE,
    )
    assert r.status_code == 200
